<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Layout Package (Avatar, Card, Drawer, ExpansionPanel, GridLayout, PanelBar, Splitter, StackLayout, Stepper, TabStrip, TileLayout and Timeline Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * To use this package, you must install a license key file, whether you are on a paid license or a 30-day free trial. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or start a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * Adding a valid license key file ensures a seamless experience during the trial period&mdash;no watermarks, no warnings, and full access to all components and features.
> * Trial users can register for a free license key file. Without it, your trial may be interrupted by visual indicators or functionality limitations.
> * Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!
> * Learn more: https://www.telerik.com/kendo-angular-ui/components/licensing
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Layout package](https://www.telerik.com/kendo-angular-ui/components/layout/) is a collection of popular components for laying out a professional quality app. The components include a variety of layout types and styles that have extensive configuration options allowing flexibility.

## What's Included in the Angular Layout Package

* [Avatar](https://www.telerik.com/kendo-angular-ui/components/layout/avatar)&mdash;Displays a graphical representation of a profile or online avatar, including people or entities with initials, custom icons, and images.
* [Card](https://www.telerik.com/kendo-angular-ui/components/layout/card)&mdash;Combines text, visual content and actions about a single subject. It provides clarity, categorization, and an attractive way of presentation.
* [Drawer](https://www.telerik.com/kendo-angular-ui/components/layout/drawer)&mdash;Offers a side navigation element that can be toggled to be displayed or hidden, or permanently displayed. It enables the user to change the content of a specific section of the page.
* [ExpansionPanel](https://www.telerik.com/kendo-angular-ui/components/layout/expansionpanel)&mdash;Organizes any content into a details-summary view consisting of a title bar and expandable/collapsible content.
* [GridLayout](https://www.telerik.com/kendo-angular-ui/components/layout/gridlayout)&mdash;Based on the CSS Grid Layout system, which allows setting the specific row, column and size of each item. It allows you to arrange your content in columns and rows, forming a grid structure.
* [PanelBar](https://www.telerik.com/kendo-angular-ui/components/layout/panelbar)&mdash;Showcases hierarchical or multi-level content in a component, whose individual items can be expanded or collapsed.
* [Splitter](https://www.telerik.com/kendo-angular-ui/components/layout/splitter)&mdash;Splits a page into sections, which can be expanded, collapsed or resized, and allows users to control the page layout.
* [StackLayout](https://www.telerik.com/kendo-angular-ui/components/layout/stacklayout)&mdash;Allows you to easily arrange vertically or horizontally multiple elements in a stack according to the alignment and spacing you like. 
* [Stepper](https://www.telerik.com/kendo-angular-ui/components/layout/stepper)&mdash;Visualizes the progress of a process by dividing it into chronological steps.
* [TabStrip](https://www.telerik.com/kendo-angular-ui/components/layout/tabstrip)&mdash;Displays a collection of tabs, each with their own associated content, which enable the user to switch between different views inside a single component.
* [TileLayout](https://www.telerik.com/kendo-angular-ui/components/layout/tilelayout)&mdash;Displays a collection of tiles and aligns them into columns and rows, allowing end users to rearrange and resize any of the tiles.
* [Timeline](https://www.telerik.com/kendo-angular-ui/components/layout/timeline)&mdash;Displays a collection of events and their data in a chronological succession for each year.

## Key Features

Among the many features which the Kendo UI for Angular Layout components deliver are:

* [Appearance](https://www.telerik.com/kendo-angular-ui/components/layout/avatar/appearance)&mdash;The appearance of all Layout components can be customized using theme variables and configuration options. Kendo UI for Angular offers a variety of popular themes, including Bootstrap and Material. These themes can be easily tailored to your needs using the [Progress ThemeBuilder](https://www.telerik.com/themebuilder), an online utility application.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/inputs/globalization)&mdash;The Kendo UI for Angular Layout package supports globalization to ensure that each Layout component can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Layout controls support rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/accessibility)&mdash;Most Layout components are accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/keyboard-navigation)&mdash;Apart from the Avatar, Card, and TileLayout, the Layout components support a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Layout, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Layout](https://www.telerik.com/kendo-angular-ui/components/layout/installation/getting-started)
* [Layout Overview page](https://www.telerik.com/kendo-angular-ui/components/layout) and [Layout API reference](https://www.telerik.com/kendo-angular-ui/components/layout/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
