/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./avatar/avatar.component";
import * as i2 from "./avatar/l10n/custom-messages.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Avatar component.
 *
 * Use this module to add the Avatar component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { AvatarModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [AvatarModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class AvatarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AvatarModule, never, [typeof i1.AvatarComponent, typeof i2.AvatarCustomMessagesComponent], [typeof i1.AvatarComponent, typeof i2.AvatarCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AvatarModule>;
}
