/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Provides custom component messages that override default component messages
 * ([see example]({% slug rtl_layout %})).
 *
 * ```html
 * <kendo-avatar>
 *   <kendo-avatar-messages
 *     avatarAlt="User's profile picture"
 *   ></kendo-avatar-messages>
 * </kendo-avatar>
 * ```
 */
export declare class AvatarCustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarCustomMessagesComponent, "kendo-avatar-messages", never, {}, {}, never, never, true, never>;
}
