/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./card/card.component";
import * as i2 from "./card/card-actions.component";
import * as i3 from "./card/card-body.component";
import * as i4 from "./card/card-footer.component";
import * as i5 from "./card/card-header.component";
import * as i6 from "./card/directives/card-media.directive";
import * as i7 from "./card/directives/card-separator.directive";
import * as i8 from "./card/directives/card-subtitle.directive";
import * as i9 from "./card/directives/card-title.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Card component.
 *
 * Use this module to add the Card component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { CardModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [CardModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class CardModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<CardModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CardModule, never, [typeof i1.CardComponent, typeof i2.CardActionsComponent, typeof i3.CardBodyComponent, typeof i4.CardFooterComponent, typeof i5.CardHeaderComponent, typeof i6.CardMediaDirective, typeof i7.CardSeparatorDirective, typeof i8.CardSubtitleDirective, typeof i9.CardTitleDirective], [typeof i1.CardComponent, typeof i2.CardActionsComponent, typeof i3.CardBodyComponent, typeof i4.CardFooterComponent, typeof i5.CardHeaderComponent, typeof i6.CardMediaDirective, typeof i7.CardSeparatorDirective, typeof i8.CardSubtitleDirective, typeof i9.CardTitleDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CardModule>;
}
