/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Defines the content in the Card header.
 * The header can include a title, subtitle, and other elements that provide context for the Card's content.
 *
 * @example
 * ```html
 * <kendo-card-header>
 *   <h5 kendoCardTitle>Card Title</h5>
 *   <p kendoCardSubtitle>Card Subtitle</p>
 * </kendo-card-header>
 * ```
 */
export declare class CardHeaderComponent {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardHeaderComponent, "kendo-card-header", never, {}, {}, never, ["*"], true, never>;
}
