/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Defines any media that displays and aligns in the Card.
 * The media can be an image, video, or any other media type.
 *
 * ```html
 * <kendo-card>
 *  <div kendoCardMedia>
 *   <img src="path/to/image.jpg" alt="Card Media">
 *  </div>
 * </kendo-card>
 * ```
 */
export declare class CardMediaDirective {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardMediaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardMediaDirective, "[kendoCardMedia]", never, {}, {}, never, never, true, never>;
}
