/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Orientation } from '../../common/orientation';
import * as i0 from "@angular/core";
/**
 * Defines a separator in the content of the Card.
 * The separator can be used to visually divide sections within the Card.
 *
 * ```html
 * <kendo-card>
 *  <div kendoCardSeparator></div>
 *  <p>Content below the separator</p>
 * </kendo-card>
 * ```
 */
export declare class CardSeparatorDirective {
    hostClass: boolean;
    get verticalClass(): boolean;
    get horizontalClass(): boolean;
    /**
     * Sets the color of the Card separator.
     */
    color: string;
    /**
     * Specifies the orientation of the Card separator.
     *
     * @default 'horizontal'
     */
    orientation: Orientation;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardSeparatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardSeparatorDirective, "[kendoCardSeparator]", never, { "color": { "alias": "color"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; }, {}, never, never, true, never>;
}
