/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Defines the text and styles for the subtitle of the Card.
 * The subtitle is displayed below the title and above the content of the Card.
 *
 * ```html
 * <kendo-card>
 *  <h4 kendoCardSubtitle>Card Subtitle</h4>
 * </kendo-card>
 * ```
 */
export declare class CardSubtitleDirective {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardSubtitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardSubtitleDirective, "[kendoCardSubtitle]", never, {}, {}, never, never, true, never>;
}
