/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Defines the text and styles for the title of the Card.
 * The title is displayed at the top of the Card, above the subtitle and content.
 *
 * ```html
 * <kendo-card>
 *   <h3 kendoCardTitle>Card Title</h3>
 * </kendo-card>
 * ```
 */
export declare class CardTitleDirective {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardTitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardTitleDirective, "[kendoCardTitle]", never, {}, {}, never, never, true, never>;
}
