/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AvatarRounded, AvatarShape } from '../avatar/models/models';
import { StylingClasses } from './styling-classes';
/**
 * @hidden
 */
export declare const parsePanelBarItems: Function;
/**
 * @hidden
 */
export declare const isPresent: (value: any) => boolean;
/**
 * @hidden
 */
export declare const isHorizontalArrowKey: (keyCode: any) => boolean;
/**
 * @hidden
 */
export declare const isVerticalArrowKey: (keyCode: any) => boolean;
/**
 * @hidden
 */
export declare const isArrowKey: (keyCode: any) => boolean;
/**
 * @hidden
 */
export declare const isNavigationKey: (keyCode: any) => boolean;
/**
 * @hidden
 *
 * Returns the styling classes to be added and removed
 */
export declare const getStylingClasses: (componentType: any, stylingOption: string, previousValue: any, newValue: any) => StylingClasses;
/**
 * @hidden
 */
export declare const mapShapeToRounded: (shape: AvatarShape) => AvatarRounded;
/**
 * @hidden
 */
export declare const isNumber: (value: string | number) => boolean;
