/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./drawer/drawer.component";
import * as i2 from "./drawer/drawer-container.component";
import * as i3 from "./drawer/drawer-content.component";
import * as i4 from "./drawer/template-directives/drawer-template.directive";
import * as i5 from "./drawer/template-directives/footer-template.directive";
import * as i6 from "./drawer/template-directives/header-template.directive";
import * as i7 from "./drawer/template-directives/item-template.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Drawer component.
 *
 * Use this module to add the Drawer component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { DrawerModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [DrawerModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class DrawerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DrawerModule, never, [typeof i1.DrawerComponent, typeof i2.DrawerContainerComponent, typeof i3.DrawerContentComponent, typeof i4.DrawerTemplateDirective, typeof i5.DrawerFooterTemplateDirective, typeof i6.DrawerHeaderTemplateDirective, typeof i7.DrawerItemTemplateDirective], [typeof i1.DrawerComponent, typeof i2.DrawerContainerComponent, typeof i3.DrawerContentComponent, typeof i4.DrawerTemplateDirective, typeof i5.DrawerFooterTemplateDirective, typeof i6.DrawerHeaderTemplateDirective, typeof i7.DrawerItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DrawerModule>;
}
