/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DrawerItemExpandedFn } from './models/drawer-item-expand.interface';
import { DrawerViewItem } from './models/drawer-view-item.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const defaultIsItemExpanded: (_item: any) => boolean;
/**
 * @hidden
 */
export declare class DrawerService {
    owner: any;
    selectedIndices: Array<number>;
    viewData: Set<DrawerViewItem>;
    focusIndex: number;
    private originalItems;
    private idxCounter;
    init(): void;
    get view(): Array<DrawerViewItem>;
    changeFocusedItem(items: any, keyName: any, renderer: any): void;
    private populateViewData;
    private resetViewData;
    private loadChildren;
    isItemExpanded: DrawerItemExpandedFn;
    onSelect(selectedIdx: number): void;
    private setSelection;
    resetSelection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DrawerService>;
}
