/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '@progress/kendo-angular-common';
import { DrawerComponent } from './../drawer.component';
/**
 * Defines the arguments for the `select` event of the Drawer.
 */
export declare class DrawerSelectEvent extends PreventableEvent {
    /**
     * Defines the index of the selected item in the `items` collection.
     */
    index: number;
    /**
     * Defines the selected Drawer item.
     */
    item: any;
    /**
     * Defines the DOM event that triggered the selection.
     */
    originalEvent: any;
    /**
     * Defines the Drawer that triggered the event.
     */
    sender: DrawerComponent;
    /**
     * @hidden
     */
    constructor(args?: any);
}
