/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, ElementRef, Renderer2, AfterViewInit } from "@angular/core";
import { SVGIcon } from "@progress/kendo-svg-icons";
import { DrawerService } from './drawer.service';
import { DrawerViewItem } from "./models/drawer-view-item.interface";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DrawerItemComponent implements AfterViewInit {
    drawerService: DrawerService;
    private element;
    private renderer;
    viewItem: DrawerViewItem;
    index: number;
    itemTemplate: TemplateRef<any>;
    mini: boolean;
    expanded: boolean;
    disabled: boolean;
    cssClass: boolean;
    cssStyle: boolean;
    get disabledClass(): boolean;
    get selectedClass(): boolean;
    get label(): boolean;
    arrowUpIcon: SVGIcon;
    arrowDownIcon: SVGIcon;
    constructor(drawerService: DrawerService, element: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    get iconClasses(): string;
    get innerCssClasses(): string;
    get customIconClasses(): string;
    get item(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerItemComponent, "[kendoDrawerItem]", never, { "viewItem": { "alias": "viewItem"; "required": false; }; "index": { "alias": "index"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "mini": { "alias": "mini"; "required": false; }; "expanded": { "alias": "expanded"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "cssStyle": { "alias": "cssStyle"; "required": false; }; }, {}, never, never, true, never>;
}
