/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, NgZone, OnDestroy, OnInit, Renderer2, TemplateRef, EventEmitter, QueryList } from "@angular/core";
import { DrawerService } from './drawer.service';
import { DrawerListSelectEvent } from './events/drawer-list-select.event';
import { DrawerViewItem } from './models/drawer-view-item.interface';
import { DrawerItemComponent } from './item.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DrawerListComponent implements OnInit, OnDestroy {
    private drawerService;
    private renderer;
    private ngZone;
    element: ElementRef;
    itemTemplate: TemplateRef<any>;
    mini: boolean;
    expanded: boolean;
    view: DrawerViewItem[];
    select: EventEmitter<DrawerListSelectEvent>;
    items: QueryList<DrawerItemComponent>;
    private subscriptions;
    constructor(drawerService: DrawerService, renderer: Renderer2, ngZone: NgZone, element: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    identifyItem(_index: number, viewItem: DrawerViewItem): any;
    private initDomEvents;
    private clickHandler;
    private onEnterOrSpaceKeyDown;
    private getDrawerItemIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerListComponent, "[kendoDrawerList]", never, { "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "mini": { "alias": "mini"; "required": false; }; "expanded": { "alias": "expanded"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, { "select": "select"; }, never, never, true, never>;
}
