/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export interface DrawerViewItem {
    /**
     * A reference to the original data item
     */
    item: any;
    /**
     * The item index in the view data items collection
     */
    index: number;
    /**
     * The hierarchical level of the item
     */
    level: number;
    /**
     * Indicates whether the item has children
     */
    hasChildren: boolean;
    /**
     * Indicates whether the item is currently expanded
     */
    isExpanded: boolean;
}
