/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Defines a template that specifies the header content of the Drawer.
 * To define the template, nest an `<ng-template>` tag with the `kendoDrawerHeaderTemplate` directive inside the `<kendo-drawer>` tag.
 *
 * @example
 * ```html
 * <kendo-drawer>
 *   <ng-template kendoDrawerHeaderTemplate>
 *     <h3>Navigation Menu</h3>
 *   </ng-template>
 * </kendo-drawer>
 * ```
 */
export declare class DrawerHeaderTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerHeaderTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DrawerHeaderTemplateDirective, "[kendoDrawerHeaderTemplate]", never, {}, {}, never, never, true, never>;
}
