/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_CARD } from './directives';
import * as i0 from "@angular/core";
import * as i1 from "./card/card.component";
import * as i2 from "./card/card-actions.component";
import * as i3 from "./card/card-body.component";
import * as i4 from "./card/card-footer.component";
import * as i5 from "./card/card-header.component";
import * as i6 from "./card/directives/card-media.directive";
import * as i7 from "./card/directives/card-separator.directive";
import * as i8 from "./card/directives/card-subtitle.directive";
import * as i9 from "./card/directives/card-title.directive";
// IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Card component.
 *
 * Use this module to add the Card component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { CardModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [CardModule]
 * })
 * export class AppModule { }
 * ```
 */
export class CardModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CardModule, imports: [i1.CardComponent, i2.CardActionsComponent, i3.CardBodyComponent, i4.CardFooterComponent, i5.CardHeaderComponent, i6.CardMediaDirective, i7.CardSeparatorDirective, i8.CardSubtitleDirective, i9.CardTitleDirective], exports: [i1.CardComponent, i2.CardActionsComponent, i3.CardBodyComponent, i4.CardFooterComponent, i5.CardHeaderComponent, i6.CardMediaDirective, i7.CardSeparatorDirective, i8.CardSubtitleDirective, i9.CardTitleDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CardModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CardModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [...KENDO_CARD],
                    imports: [...KENDO_CARD]
                }]
        }] });
