/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_DRAWER } from './directives';
import * as i0 from "@angular/core";
import * as i1 from "./drawer/drawer.component";
import * as i2 from "./drawer/drawer-container.component";
import * as i3 from "./drawer/drawer-content.component";
import * as i4 from "./drawer/template-directives/drawer-template.directive";
import * as i5 from "./drawer/template-directives/footer-template.directive";
import * as i6 from "./drawer/template-directives/header-template.directive";
import * as i7 from "./drawer/template-directives/item-template.directive";
// IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Drawer component.
 *
 * Use this module to add the Drawer component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { DrawerModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [DrawerModule]
 * })
 * export class AppModule { }
 * ```
 */
export class DrawerModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DrawerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: DrawerModule, imports: [i1.DrawerComponent, i2.DrawerContainerComponent, i3.DrawerContentComponent, i4.DrawerTemplateDirective, i5.DrawerFooterTemplateDirective, i6.DrawerHeaderTemplateDirective, i7.DrawerItemTemplateDirective], exports: [i1.DrawerComponent, i2.DrawerContainerComponent, i3.DrawerContentComponent, i4.DrawerTemplateDirective, i5.DrawerFooterTemplateDirective, i6.DrawerHeaderTemplateDirective, i7.DrawerItemTemplateDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DrawerModule, imports: [i1.DrawerComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DrawerModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [...KENDO_DRAWER],
                    imports: [...KENDO_DRAWER]
                }]
        }] });
