/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '@progress/kendo-angular-common';
/**
 * Defines the arguments for the `select` event of the Drawer.
 */
export class DrawerSelectEvent extends PreventableEvent {
    /**
     * Defines the index of the selected item in the `items` collection.
     */
    index;
    /**
     * Defines the selected Drawer item.
     */
    item;
    /**
     * Defines the DOM event that triggered the selection.
     */
    originalEvent;
    /**
     * Defines the Drawer that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
