/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "@progress/kendo-angular-common";
/**
 * Defines the arguments for the `action` event of the ExpansionPanel.
 */
export class ExpansionPanelActionEvent extends PreventableEvent {
    /**
     * Defines the action that takes place upon interaction with the ExpansionPanel.
     */
    action;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
