/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_STEPPER } from './directives';
import * as i0 from "@angular/core";
import * as i1 from "./stepper/stepper.component";
import * as i2 from "./stepper/localization/custom-messages.component";
import * as i3 from "./stepper/template-directives/indicator-template.directive";
import * as i4 from "./stepper/template-directives/label-template.directive";
import * as i5 from "./stepper/template-directives/step-template.directive";
// IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Stepper component.
 *
 * Use this module to add the Stepper component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { StepperModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [StepperModule]
 * })
 * export class AppModule { }
 * ```
 */
export class StepperModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StepperModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: StepperModule, imports: [i1.StepperComponent, i2.StepperCustomMessagesComponent, i3.StepperIndicatorTemplateDirective, i4.StepperLabelTemplateDirective, i5.StepperStepTemplateDirective], exports: [i1.StepperComponent, i2.StepperCustomMessagesComponent, i3.StepperIndicatorTemplateDirective, i4.StepperLabelTemplateDirective, i5.StepperStepTemplateDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StepperModule, imports: [i1.StepperComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StepperModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [...KENDO_STEPPER],
                    imports: [...KENDO_STEPPER]
                }]
        }] });
