/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '@progress/kendo-angular-common';
/**
 * Represents the arguments for the `activate` event of the Stepper.
 */
export class StepperActivateEvent extends PreventableEvent {
    /**
     * Specifies the index of the activated step in the `steps` collection.
     */
    index;
    /**
     * Specifies the activated step.
     */
    step;
    /**
     * Specifies the DOM event that triggered the step activation.
     */
    originalEvent;
    /**
     * Specifies the Stepper that triggered the event.
     */
    sender;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
