/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the `tabClose` event of the TabStrip.
 * The `tabClose` event fires when a tab is closed (clicked on the close button).
 *
 */
export class TabCloseEvent {
    index;
    tab;
    /**
     * Constructs the event arguments for the `tabClose` event.
     * @param index - The index of the closed tab.
     * @param tab - The closed tab instance
     * @hidden
     */
    constructor(index, tab) {
        this.index = index;
        this.tab = tab;
    }
}
