/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "@progress/kendo-angular-common";
/**
 * Arguments for the `tabScroll` event of the TabStrip.
 * The `tabScroll` event fires when you scroll the tabs.
 *
 */
export class TabScrollEvent extends PreventableEvent {
    /**
     * The original DOM event that caused the tab scroll.
     */
    originalEvent;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
