/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export const processItems = (items, fields) => {
    return items.map((item) => parseItem(item, fields));
};
/**
 * @hidden
 */
export const parseItem = (item, fields) => ({
    title: item[fields.title] || item.title,
    date: item[fields.date] || item.date,
    subtitle: item[fields.subtitle] || item.subtitle,
    description: item[fields.description] || item.description,
    expanded: item[fields.expanded] || item.expanded,
    images: item[fields.images] || item.images,
    actions: item[fields.actions] || item.actions,
});
/**
 * @hidden
 */
export const MAX_VISIBLE_EVENTS = 3;
