/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./expansionpanel/expansionpanel.component";
import * as i2 from "./expansionpanel/expansionpanel-title.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the ExpansionPanel component.
 *
 * Use this module to add the ExpansionPanel component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { ExpansionPanelModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [ExpansionPanelModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class ExpansionPanelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ExpansionPanelModule, never, [typeof i1.ExpansionPanelComponent, typeof i2.ExpansionPanelTitleDirective], [typeof i1.ExpansionPanelComponent, typeof i2.ExpansionPanelTitleDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ExpansionPanelModule>;
}
