/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Defines a template that specifies the content of the ExpansionPanel title.
 * To define the template, nest an `<ng-template>` tag with the `kendoExpansionPanelTitleDirective` directive inside the `<kendo-expansionpanel>` tag
 * ([see example]({% slug title_expansionpanel %}#toc-title-template)).
 *
 * @example
 * ```html
 * <kendo-expansionpanel>
 *   <ng-template kendoExpansionPanelTitleDirective>
 *     <h3>Custom Title</h3>
 *   </ng-template>
 *   <p>Panel content</p>
 * </kendo-expansionpanel>
 * ```
 */
export declare class ExpansionPanelTitleDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelTitleDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExpansionPanelTitleDirective, "[kendoExpansionPanelTitleDirective]", never, {}, {}, never, never, true, never>;
}
