/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./layouts/grid-layout.component";
import * as i2 from "./layouts/gridlayout-item.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the GridLayout component.
 *
 * Use this module to add the GridLayout component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { GridLayoutModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [GridLayoutModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class GridLayoutModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<GridLayoutModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<GridLayoutModule, never, [typeof i1.GridLayoutComponent, typeof i2.GridLayoutItemComponent], [typeof i1.GridLayoutComponent, typeof i2.GridLayoutItemComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<GridLayoutModule>;
}
