/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./avatar/avatar.component";
import * as i2 from "./avatar/l10n/custom-messages.component";
import * as i3 from "./card/card.component";
import * as i4 from "./card/card-actions.component";
import * as i5 from "./card/card-body.component";
import * as i6 from "./card/card-footer.component";
import * as i7 from "./card/card-header.component";
import * as i8 from "./card/directives/card-media.directive";
import * as i9 from "./card/directives/card-separator.directive";
import * as i10 from "./card/directives/card-subtitle.directive";
import * as i11 from "./card/directives/card-title.directive";
import * as i12 from "./drawer/drawer.component";
import * as i13 from "./drawer/drawer-container.component";
import * as i14 from "./drawer/drawer-content.component";
import * as i15 from "./drawer/template-directives/drawer-template.directive";
import * as i16 from "./drawer/template-directives/footer-template.directive";
import * as i17 from "./drawer/template-directives/header-template.directive";
import * as i18 from "./drawer/template-directives/item-template.directive";
import * as i19 from "./expansionpanel/expansionpanel.component";
import * as i20 from "./expansionpanel/expansionpanel-title.directive";
import * as i21 from "./layouts/grid-layout.component";
import * as i22 from "./layouts/gridlayout-item.component";
import * as i23 from "./panelbar/panelbar.component";
import * as i24 from "./panelbar/panelbar-item.component";
import * as i25 from "./panelbar/panelbar-content.directive";
import * as i26 from "./panelbar/panelbar-item-template.directive";
import * as i27 from "./panelbar/panelbar-item-title.directive";
import * as i28 from "./splitter/splitter.component";
import * as i29 from "./splitter/splitter-pane.component";
import * as i30 from "./layouts/stack-layout.component";
import * as i31 from "./stepper/stepper.component";
import * as i32 from "./stepper/localization/custom-messages.component";
import * as i33 from "./stepper/template-directives/indicator-template.directive";
import * as i34 from "./stepper/template-directives/label-template.directive";
import * as i35 from "./stepper/template-directives/step-template.directive";
import * as i36 from "./tabstrip/tabstrip.component";
import * as i37 from "./tabstrip/models/tabstrip-tab.component";
import * as i38 from "./tabstrip/directives/tab-content.directive";
import * as i39 from "./tabstrip/directives/tab-title.directive";
import * as i40 from "./tabstrip/localization/custom-messages.component";
import * as i41 from "./tilelayout/tilelayout.component";
import * as i42 from "./tilelayout/tilelayout-item-body.component";
import * as i43 from "./tilelayout/tilelayout-item.component";
import * as i44 from "./tilelayout/tilelayout-item-header.component";
import * as i45 from "./timeline/timeline.component";
import * as i46 from "./timeline/localization/custom-messages.component";
import * as i47 from "./timeline/templates/timeline-card-actions.directive";
import * as i48 from "./timeline/templates/timeline-card-body.directive";
import * as i49 from "./timeline/templates/timeline-card-header.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Layout components.
 *
 * Use this module to add all Layout package components to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { LayoutModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, LayoutModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule { }
 * ```
 */
export declare class LayoutModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LayoutModule, never, [typeof i1.AvatarComponent, typeof i2.AvatarCustomMessagesComponent, typeof i3.CardComponent, typeof i4.CardActionsComponent, typeof i5.CardBodyComponent, typeof i6.CardFooterComponent, typeof i7.CardHeaderComponent, typeof i8.CardMediaDirective, typeof i9.CardSeparatorDirective, typeof i10.CardSubtitleDirective, typeof i11.CardTitleDirective, typeof i12.DrawerComponent, typeof i13.DrawerContainerComponent, typeof i14.DrawerContentComponent, typeof i15.DrawerTemplateDirective, typeof i16.DrawerFooterTemplateDirective, typeof i17.DrawerHeaderTemplateDirective, typeof i18.DrawerItemTemplateDirective, typeof i19.ExpansionPanelComponent, typeof i20.ExpansionPanelTitleDirective, typeof i21.GridLayoutComponent, typeof i22.GridLayoutItemComponent, typeof i23.PanelBarComponent, typeof i24.PanelBarItemComponent, typeof i25.PanelBarContentDirective, typeof i26.PanelBarItemTemplateDirective, typeof i27.PanelBarItemTitleDirective, typeof i28.SplitterComponent, typeof i29.SplitterPaneComponent, typeof i30.StackLayoutComponent, typeof i31.StepperComponent, typeof i32.StepperCustomMessagesComponent, typeof i33.StepperIndicatorTemplateDirective, typeof i34.StepperLabelTemplateDirective, typeof i35.StepperStepTemplateDirective, typeof i36.TabStripComponent, typeof i37.TabStripTabComponent, typeof i38.TabContentDirective, typeof i39.TabTitleDirective, typeof i40.TabStripCustomMessagesComponent, typeof i41.TileLayoutComponent, typeof i42.TileLayoutItemBodyComponent, typeof i43.TileLayoutItemComponent, typeof i44.TileLayoutItemHeaderComponent, typeof i45.TimelineComponent, typeof i46.TimelineCustomMessagesComponent, typeof i47.TimelineCardActionsTemplateDirective, typeof i48.TimelineCardBodyTemplateDirective, typeof i49.TimelineCardHeaderTemplateDirective], [typeof i1.AvatarComponent, typeof i2.AvatarCustomMessagesComponent, typeof i3.CardComponent, typeof i4.CardActionsComponent, typeof i5.CardBodyComponent, typeof i6.CardFooterComponent, typeof i7.CardHeaderComponent, typeof i8.CardMediaDirective, typeof i9.CardSeparatorDirective, typeof i10.CardSubtitleDirective, typeof i11.CardTitleDirective, typeof i12.DrawerComponent, typeof i13.DrawerContainerComponent, typeof i14.DrawerContentComponent, typeof i15.DrawerTemplateDirective, typeof i16.DrawerFooterTemplateDirective, typeof i17.DrawerHeaderTemplateDirective, typeof i18.DrawerItemTemplateDirective, typeof i19.ExpansionPanelComponent, typeof i20.ExpansionPanelTitleDirective, typeof i21.GridLayoutComponent, typeof i22.GridLayoutItemComponent, typeof i23.PanelBarComponent, typeof i24.PanelBarItemComponent, typeof i25.PanelBarContentDirective, typeof i26.PanelBarItemTemplateDirective, typeof i27.PanelBarItemTitleDirective, typeof i28.SplitterComponent, typeof i29.SplitterPaneComponent, typeof i30.StackLayoutComponent, typeof i31.StepperComponent, typeof i32.StepperCustomMessagesComponent, typeof i33.StepperIndicatorTemplateDirective, typeof i34.StepperLabelTemplateDirective, typeof i35.StepperStepTemplateDirective, typeof i36.TabStripComponent, typeof i37.TabStripTabComponent, typeof i38.TabContentDirective, typeof i39.TabTitleDirective, typeof i40.TabStripCustomMessagesComponent, typeof i41.TileLayoutComponent, typeof i42.TileLayoutItemBodyComponent, typeof i43.TileLayoutItemComponent, typeof i44.TileLayoutItemHeaderComponent, typeof i45.TimelineComponent, typeof i46.TimelineCustomMessagesComponent, typeof i47.TimelineCardActionsTemplateDirective, typeof i48.TimelineCardBodyTemplateDirective, typeof i49.TimelineCardHeaderTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LayoutModule>;
}
