/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { VerticalAlign, HorizontalAlign } from '../models';
/**
 * Defines the possible align options of the StackLayout and GridLayout components.
 */
export interface AlignSettings {
    /**
     * Specifies the horizontal alignment of the inner GridLayout and StackLayout elements.
     */
    horizontal?: HorizontalAlign;
    /**
     * Specifies the vertical alignment of the inner GridLayout and StackLayout elements.
     */
    vertical?: VerticalAlign;
}
