/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GridLayoutColSize, GridLayoutGapSettings, GridLayoutRowSize } from "./models";
/**
 * @hidden
 */
export declare const VERTICAL_SUFFIX: {
    top: string;
    middle: string;
    bottom: string;
    stretch: string;
};
/**
 * @hidden
 */
export declare const JUSTIFY_PREFIX = "k-justify-content";
/**
 * @hidden
 */
export declare const GRID_JUSTIFY_PREFIX = "k-justify-items";
/**
 * @hidden
 */
export declare const ALIGN_PREFIX = "k-align-items";
/**
 * @hidden
 */
export declare const normalizeGap: (gap: number | string | GridLayoutGapSettings) => GridLayoutGapSettings;
/**
 * @hidden
 */
export declare const generateGapStyle: (gap: GridLayoutGapSettings) => string;
/**
 * @hidden
 */
export declare const generateGridStyle: (items: Array<number | string | GridLayoutRowSize | GridLayoutColSize>, itemType: string) => Array<string>;
/**
 * @hidden
 */
export declare const validateGridLayoutRowsCols: (arr: Array<any>) => boolean;
