/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./panelbar/panelbar.component";
import * as i2 from "./panelbar/panelbar-item.component";
import * as i3 from "./panelbar/panelbar-content.directive";
import * as i4 from "./panelbar/panelbar-item-template.directive";
import * as i5 from "./panelbar/panelbar-item-title.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the PanelBar component.
 *
 * Use this module to add the PanelBar component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { PanelBarModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [PanelBarModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class PanelBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PanelBarModule, never, [typeof i1.PanelBarComponent, typeof i2.PanelBarItemComponent, typeof i3.PanelBarContentDirective, typeof i4.PanelBarItemTemplateDirective, typeof i5.PanelBarItemTitleDirective], [typeof i1.PanelBarComponent, typeof i2.PanelBarItemComponent, typeof i3.PanelBarContentDirective, typeof i4.PanelBarItemTemplateDirective, typeof i5.PanelBarItemTitleDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PanelBarModule>;
}
