/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Defines the content template of the declaratively initialized PanelBar items.
 * To define the content template, nest an `<ng-template>` tag
 * with the `kendoPanelBarContent` directive inside the `<kendo-panelbar-item>` tag.
 * The content can be expanded or collapsed through the item.
 *
 * @example
 * ```html
 * <kendo-panelbar-item title="Item">
 *   <div kendoPanelBarContent>
 *     <p>Item content goes here</p>
 *   </div>
 * </kendo-panelbar-item>
 * ```
 */
export declare class PanelBarContentDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelBarContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PanelBarContentDirective, "[kendoPanelBarContent]", never, {}, {}, never, never, true, never>;
}
