/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the expand modes of the PanelBar.
 */
export declare enum PanelBarExpandMode {
    /**
     * Allows you to expand only one item at a time.
     * When you expand an item, the item that was previously expanded is collapsed.
     */
    Single = 0,
    /**
     * Allows you to expand only one item at a time and requires you to set the `height` property.
     * The expanded area occupies the entire height of the PanelBar.
     */
    Full = 1,
    /**
     * The default mode of the PanelBar.
     * Allows you to expand more than one item at a time. Items can also be toggled.
     */
    Multiple = 2,
    /**
     * The default expand mode set to `multiple`.
     */
    Default = 2
}
