/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Defines the template directive of the PanelBar which helps to customize the item content.
 * To define the template, nest an `<ng-template>` tag
 * with the `kendoPanelBarItemTemplate` directive inside the `<kendo-panelbar>` tag.
 *
 * @example
 * ```html
 * <kendo-panelbar>
 *   <ng-template kendoPanelBarItemTemplate let-dataItem>
 *     <span>{{ dataItem.title }}</span>
 *   </ng-template>
 * </kendo-panelbar>
 * ```
 */
export declare class PanelBarItemTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelBarItemTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PanelBarItemTemplateDirective, "[kendoPanelBarItemTemplate]", never, {}, {}, never, never, true, never>;
}
