/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Observable, Subject } from 'rxjs';
import { PanelBarItemComponent } from "./panelbar-item.component";
import { PanelBarExpandMode } from './panelbar-expand-mode';
import { PanelBarItemClickEvent } from './events';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class PanelBarService {
    children$: Observable<PanelBarItemComponent>;
    keepContent$: Observable<boolean>;
    parent$: Observable<boolean>;
    pbId: number;
    animate: boolean;
    expandMode: PanelBarExpandMode;
    itemClick: Subject<PanelBarItemClickEvent>;
    private childSource;
    private keepContentSource;
    private parentSource;
    onKeepContent(keepContent: boolean): void;
    onSelect(event: PanelBarItemComponent): void;
    onFocus(): void;
    onBlur(): void;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PanelBarService>;
}
