/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./splitter/splitter.component";
import * as i2 from "./splitter/splitter-pane.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Splitter component.
 *
 * Use this module to add the Splitter component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { SplitterModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [SplitterModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class SplitterModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitterModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SplitterModule, never, [typeof i1.SplitterComponent, typeof i2.SplitterPaneComponent], [typeof i1.SplitterComponent, typeof i2.SplitterPaneComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SplitterModule>;
}
