/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Orientation } from '../common/orientation';
import { DraggableDirective } from '@progress/kendo-angular-common';
import { SplitterService } from './splitter.service';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SplitterBarComponent implements OnInit, OnDestroy {
    draggable: DraggableDirective;
    private localization;
    private splitterService;
    element: ElementRef<HTMLElement>;
    private renderer;
    private cdr;
    ariaRole: string;
    ariaLabel: string;
    focused: boolean;
    get hostOrientation(): string;
    get tabIndex(): number;
    get hostClasses(): string;
    get order(): number;
    orientation: Orientation;
    index: number;
    set htmlAttributes(attributes: {
        [key: string]: string;
    });
    get htmlAttributes(): {
        [key: string]: string;
    };
    private subscriptions;
    private _htmlAttributes;
    private parsedAttributes;
    private get defaultAttributes();
    private get mutableAttributes();
    constructor(draggable: DraggableDirective, localization: LocalizationService, splitterService: SplitterService, element: ElementRef<HTMLElement>, renderer: Renderer2, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    togglePrevious(): void;
    toggleNext(): void;
    get direction(): string;
    shouldShowIcon(iconName: string): boolean;
    previousArrowClass(): any;
    previousSVGArrowClass(): SVGIcon;
    nextArrowClass(): any;
    nextSVGArrowClass(): SVGIcon;
    private togglePane;
    private get expandLast();
    private onKeyDown;
    private tryToggleNearest;
    private setHtmlAttributes;
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitterBarComponent, [{ host: true; }, null, null, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SplitterBarComponent, "kendo-splitter-bar", never, { "orientation": { "alias": "orientation"; "required": false; }; "index": { "alias": "index"; "required": false; }; "htmlAttributes": { "alias": "htmlAttributes"; "required": false; }; }, {}, never, never, true, never>;
}
