/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./layouts/stack-layout.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the StackLayout component.
 *
 * Use this module to add the StackLayout component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { StackLayoutModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [StackLayoutModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class StackLayoutModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<StackLayoutModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<StackLayoutModule, never, [typeof i1.StackLayoutComponent], [typeof i1.StackLayoutComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<StackLayoutModule>;
}
