/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./stepper/stepper.component";
import * as i2 from "./stepper/localization/custom-messages.component";
import * as i3 from "./stepper/template-directives/indicator-template.directive";
import * as i4 from "./stepper/template-directives/label-template.directive";
import * as i5 from "./stepper/template-directives/step-template.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Stepper component.
 *
 * Use this module to add the Stepper component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { StepperModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [StepperModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class StepperModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<StepperModule, never, [typeof i1.StepperComponent, typeof i2.StepperCustomMessagesComponent, typeof i3.StepperIndicatorTemplateDirective, typeof i4.StepperLabelTemplateDirective, typeof i5.StepperStepTemplateDirective], [typeof i1.StepperComponent, typeof i2.StepperCustomMessagesComponent, typeof i3.StepperIndicatorTemplateDirective, typeof i4.StepperLabelTemplateDirective, typeof i5.StepperStepTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<StepperModule>;
}
