/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '@progress/kendo-angular-common';
import { StepperComponent } from './../stepper.component';
/**
 * Represents the arguments for the `activate` event of the Stepper.
 */
export declare class StepperActivateEvent extends PreventableEvent {
    /**
     * Specifies the index of the activated step in the `steps` collection.
     */
    index: number;
    /**
     * Specifies the activated step.
     */
    step: any;
    /**
     * Specifies the DOM event that triggered the step activation.
     */
    originalEvent: any;
    /**
     * Specifies the Stepper that triggered the event.
     */
    sender: StepperComponent;
    /**
     * @hidden
     */
    constructor(args?: any);
}
