/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { StepperMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Provides custom component messages that override default component messages
 * ([see example]({% slug rtl_layout %})).
 *
 * ```html
 * <kendo-stepper>
 *   <kendo-stepper-messages
 *     optional="Optional step"
 *   ></kendo-stepper-messages>
 * </kendo-stepper>
 * ```
 */
export declare class StepperCustomMessagesComponent extends StepperMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperCustomMessagesComponent, "kendo-stepper-messages", never, {}, {}, never, never, true, never>;
}
