/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the callback function used by the `isValid` and `validate` properties of a [step]({% slug api_layout_stepperstep %}).
 *
 * The function receives the index of the step as an argument.
 *
 * Use an arrow function for the callback to capture the `this` execution context of the current class.
 *
 * ```typescript
 * public stepCallback = (index: number): boolean => {
 *   return index === 3;
 * }
 * ```
 */
export type StepPredicateFn = (stepIndex: number) => boolean;
