/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, OnInit, SimpleChanges, OnDestroy, OnChanges, NgZone, ElementRef } from '@angular/core';
import { StepType } from './models/step-type';
import { StepperService } from './stepper.service';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class StepperStepComponent implements OnInit, OnChanges, OnDestroy {
    private service;
    private localization;
    private ngZone;
    step: any;
    index: number;
    current: number;
    type: StepType;
    successIcon: string;
    successSVGIcon: SVGIcon;
    errorIcon: string;
    errorSVGIcon: SVGIcon;
    svgIcon: SVGIcon;
    indicatorTemplate: TemplateRef<any>;
    labelTemplate: TemplateRef<any>;
    stepTemplate: TemplateRef<any>;
    stepLink: ElementRef;
    isStepValid: boolean;
    shouldCheckValidity: boolean;
    checkCircleIcon: SVGIcon;
    exclamationCircleIcon: SVGIcon;
    private subs;
    constructor(service: StepperService, localization: LocalizationService, ngZone: NgZone);
    get errorStepClass(): boolean;
    get successStepClass(): boolean;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onFocusedStepChange(): void;
    onFocus(): void;
    get tabIndexAttr(): number;
    get indicatorIconClass(): string;
    get customIndicatorIconClass(): string;
    get SVGIndicatorIcon(): SVGIcon;
    get validationIconClasses(): string;
    get customValidationIconClasses(): string;
    get validationSVGIcon(): SVGIcon;
    get showIndicatorIcon(): boolean;
    get showLabelIcon(): boolean;
    get showLabelText(): boolean;
    get indicatorText(): string;
    updateStepValidity(): boolean;
    get showIndicator(): boolean;
    get showLabel(): boolean;
    get optionalText(): string;
    get transitionDuration(): number;
    private _shouldCheckValidity;
    private handleValidityChecks;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperStepComponent, "[kendoStepperStep]", never, { "step": { "alias": "step"; "required": false; }; "index": { "alias": "index"; "required": false; }; "current": { "alias": "current"; "required": false; }; "type": { "alias": "type"; "required": false; }; "successIcon": { "alias": "successIcon"; "required": false; }; "successSVGIcon": { "alias": "successSVGIcon"; "required": false; }; "errorIcon": { "alias": "errorIcon"; "required": false; }; "errorSVGIcon": { "alias": "errorSVGIcon"; "required": false; }; "svgIcon": { "alias": "svgIcon"; "required": false; }; "indicatorTemplate": { "alias": "indicatorTemplate"; "required": false; }; "labelTemplate": { "alias": "labelTemplate"; "required": false; }; "stepTemplate": { "alias": "stepTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
