/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Use this template to define custom content for the entire step.
 * To define the template, nest an `<ng-template>` tag
 * with the `kendoStepperStepTemplate` directive inside the `<kendo-stepper>` tag.
 *
 * @example
 * ```html
 * <kendo-stepper>
 *   <ng-template kendoStepperStepTemplate let-step="step" let-index="index">
 *     <div class="custom-step">
 *       <span>{{ step.label }}</span>
 *     </div>
 *   </ng-template>
 * </kendo-stepper>
 * ```
 */
export declare class StepperStepTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperStepTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StepperStepTemplateDirective, "[kendoStepperStepTemplate]", never, {}, {}, never, never, true, never>;
}
