/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./tabstrip/tabstrip.component";
import * as i2 from "./tabstrip/models/tabstrip-tab.component";
import * as i3 from "./tabstrip/directives/tab-content.directive";
import * as i4 from "./tabstrip/directives/tab-title.directive";
import * as i5 from "./tabstrip/localization/custom-messages.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the TabStrip component.
 *
 * Use this module to add the TabStrip component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { TabStripModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [TabStripModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class TabStripModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TabStripModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TabStripModule, never, [typeof i1.TabStripComponent, typeof i2.TabStripTabComponent, typeof i3.TabContentDirective, typeof i4.TabTitleDirective, typeof i5.TabStripCustomMessagesComponent], [typeof i1.TabStripComponent, typeof i2.TabStripTabComponent, typeof i3.TabContentDirective, typeof i4.TabTitleDirective, typeof i5.TabStripCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TabStripModule>;
}
