/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents the content template of the Kendo UI TabStrip.
 * To define the template, nest an `<ng-template>` tag with the `kendoTabContent` directive inside the component tag.
 *
 * @example
 * ```html
 * <kendo-tabstrip>
 *   <kendo-tabstrip-tab title="First Tab">
 *     <ng-template kendoTabContent>
 *       <div class="tab-content">
 *         <h2>Welcome</h2>
 *         <p>This is the content of the first tab.</p>
 *       </div>
 *     </ng-template>
 *   </kendo-tabstrip-tab>
 * </kendo-tabstrip>
 * ```
 */
export declare class TabContentDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<TabContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabContentDirective, "[kendoTabContent]", never, {}, {}, never, never, true, never>;
}
