/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "@progress/kendo-angular-common";
/**
 * Arguments for the `select` event of the TabStrip.
 * The `select` event fires when tab is selected (clicked).
 */
export declare class SelectEvent extends PreventableEvent {
    index: number;
    title: string;
    /**
     * Constructs the event arguments for the `select` event.
     * @param index - The index of the selected tab.
     * @param title - The title of the selected tab.
     *
     * @hidden
     */
    constructor(index: number, title: string);
}
