/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TabStripTabComponent } from "../models/tabstrip-tab.component";
/**
 * Arguments for the `tabClose` event of the TabStrip.
 * The `tabClose` event fires when a tab is closed (clicked on the close button).
 *
 */
export declare class TabCloseEvent {
    index: number;
    tab: TabStripTabComponent;
    /**
     * Constructs the event arguments for the `tabClose` event.
     * @param index - The index of the closed tab.
     * @param tab - The closed tab instance
     * @hidden
     */
    constructor(index: number, tab: TabStripTabComponent);
}
