/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { TabStripMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the custom messages component for the TabStrip.
 * It allows you to override the default messages used in the TabStrip component ([see example]({% slug rtl_layout %})).
 *
 * ```html
 * <kendo-tabstrip>
 *   <kendo-tabstrip-messages
 *     closeTitle="Close this tab"
 *     previousTabButton="Go to previous tab"
 *   </kendo-tabstrip-messages>
 * </kendo-tabstrip>
 * ```
 */
export declare class TabStripCustomMessagesComponent extends TabStripMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabStripCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabStripCustomMessagesComponent, "kendo-tabstrip-messages", never, {}, {}, never, never, true, never>;
}
