/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TabStripMessages extends ComponentMessages {
    /**
     * Sets the title for the **Close** button in the TabStrip tab.
     */
    closeTitle: string;
    /**
     * Sets the title for the **Previous Tab** button when the TabStrip is scrollable.
     */
    previousTabButton: string;
    /**
     * Sets the title for the **Next Tab** button when the TabStrip is scrollable.
     */
    nextTabButton: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabStripMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabStripMessages, "kendo-tabstrip-messages-base", never, { "closeTitle": { "alias": "closeTitle"; "required": false; }; "previousTabButton": { "alias": "previousTabButton"; "required": false; }; "nextTabButton": { "alias": "nextTabButton"; "required": false; }; }, {}, never, never, false, never>;
}
