/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TabStripTabComponent } from '../models/tabstrip-tab.component';
import { EventEmitter } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { TabCloseEvent } from '../events/tabclose-event';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TabComponent {
    localization: LocalizationService;
    tab: TabStripTabComponent;
    index: number;
    tabStripClosable: boolean;
    tabStripCloseIcon: string;
    customTabstripCloseIcon: string;
    closeSVGIcon: SVGIcon;
    tabClose: EventEmitter<TabCloseEvent>;
    hostClasses: boolean;
    get activeClass(): boolean;
    get disabledClass(): boolean;
    get focusedClass(): boolean;
    get tabIndex(): number;
    constructor(localization: LocalizationService);
    get tabClosable(): boolean;
    get closeSVGIconClass(): SVGIcon;
    get closeIconClasses(): string;
    get customCloseIconClasses(): string;
    get closeButtonTitle(): string;
    closeTab(index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "[kendoTabStripTab]", never, { "tab": { "alias": "tab"; "required": false; }; "index": { "alias": "index"; "required": false; }; "tabStripClosable": { "alias": "tabStripClosable"; "required": false; }; "tabStripCloseIcon": { "alias": "tabStripCloseIcon"; "required": false; }; "customTabstripCloseIcon": { "alias": "customTabstripCloseIcon"; "required": false; }; "closeSVGIcon": { "alias": "closeSVGIcon"; "required": false; }; }, { "tabClose": "tabClose"; }, never, never, true, never>;
}
