/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2, NgZone, AfterViewInit, OnDestroy, EventEmitter } from '@angular/core';
import { TabPosition } from './models/tab-position';
import { TabStripScrollableSettings } from './models/scrollable-settings';
import { TabScrollEvent } from './events/tabscroll-event';
import { ScrollButtonType } from './models/scroll-button-type';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TabStripScrollableButtonComponent implements AfterViewInit, OnDestroy {
    host: ElementRef;
    private renderer;
    private ngZone;
    private localization;
    get prevClass(): boolean;
    get nextClass(): boolean;
    prev: boolean;
    tabPosition: TabPosition;
    scrollable: boolean | TabStripScrollableSettings;
    tabScroll: EventEmitter<TabScrollEvent>;
    onClick: EventEmitter<ScrollButtonType>;
    get hostBoundingClientRect(): any;
    get iconClass(): string;
    get customIconClass(): string;
    get svgIcon(): SVGIcon;
    caretAltLeftIcon: SVGIcon;
    caretAltRightIcon: SVGIcon;
    caretAltUpIcon: SVGIcon;
    caretAltDownIcon: SVGIcon;
    private subs;
    constructor(host: ElementRef, renderer: Renderer2, ngZone: NgZone, localization: LocalizationService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggle(show: boolean): void;
    private clickHandler;
    private get scrollButtonIconClass();
    private get customScrollButtonIconClass();
    private get scrollButtonSVGIcon();
    private emitScrollEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabStripScrollableButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabStripScrollableButtonComponent, "[kendoTabStripScrollableButton]", never, { "prev": { "alias": "prev"; "required": false; }; "tabPosition": { "alias": "tabPosition"; "required": false; }; "scrollable": { "alias": "scrollable"; "required": false; }; }, { "tabScroll": "tabScroll"; "onClick": "onClick"; }, never, never, true, never>;
}
