/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ScrollButtonActiveStateChange } from './models/button-state-change';
import { NgZone } from '@angular/core';
import { Subject } from 'rxjs';
import { TabStripComponent } from './tabstrip.component';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ScrollService {
    private ngZone;
    private localization;
    owner: TabStripComponent;
    position: number;
    scrollButtonActiveStateChange: Subject<ScrollButtonActiveStateChange>;
    get tablistElement(): HTMLElement;
    get tabstripSize(): number;
    get tablistOverflowSize(): number;
    get tabsOverflow(): boolean;
    constructor(ngZone: NgZone, localization: LocalizationService);
    toggleScrollButtonsState(): void;
    scrollToSelectedTab(): void;
    getScrollOffset(activeIndex: number): number;
    onScroll(e: Event): void;
    scrollTabs(direction: string): void;
    calculateListPosition(direction: string, scrollSpeed: number): void;
    restoreScrollPosition(): void;
    private toggleButtonActiveState;
    private isDisabled;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScrollService>;
}
