/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgZone } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { TabStripComponent } from './tabstrip.component';
import { TabStripTabComponent } from './models/tabstrip-tab.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TabStripService {
    private localization;
    private ngZone;
    owner: TabStripComponent;
    constructor(localization: LocalizationService, ngZone: NgZone);
    onKeyDown(event: any): void;
    onTabSelect(tab: TabStripTabComponent, index: number): void;
    selectTab(tab: TabStripTabComponent, index: number): void;
    private onNavigate;
    private onDelete;
    private activateTab;
    private focusTabHeader;
    private shouldHandleKey;
    private computeNextIndex;
    private invertKeys;
    private firstNavigableIndex;
    private lastNavigableIndex;
    private prevNavigableIndex;
    private nextNavigableIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabStripService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TabStripService>;
}
