/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./tilelayout/tilelayout.component";
import * as i2 from "./tilelayout/tilelayout-item-body.component";
import * as i3 from "./tilelayout/tilelayout-item.component";
import * as i4 from "./tilelayout/tilelayout-item-header.component";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the TileLayout component.
 *
 * Use this module to add the TileLayout component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { TileLayoutModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [TileLayoutModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class TileLayoutModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TileLayoutModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TileLayoutModule, never, [typeof i1.TileLayoutComponent, typeof i2.TileLayoutItemBodyComponent, typeof i3.TileLayoutItemComponent, typeof i4.TileLayoutItemHeaderComponent], [typeof i1.TileLayoutComponent, typeof i2.TileLayoutItemBodyComponent, typeof i3.TileLayoutItemComponent, typeof i4.TileLayoutItemHeaderComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TileLayoutModule>;
}
