/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, NgZone, Renderer2 } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { DraggingServiceConfig } from './models/dragging-config.interface';
import { TileLayoutReorderEvent } from './reorder-event';
import { TileLayoutResizeEvent } from './resize-event';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TileLayoutDraggingService {
    private zone;
    private renderer;
    private cdr;
    private localization;
    reorderable: BehaviorSubject<boolean>;
    resizable: BehaviorSubject<boolean>;
    reorder: Subject<TileLayoutReorderEvent>;
    resize: Subject<TileLayoutResizeEvent>;
    tileLayoutSettings: DraggingServiceConfig;
    get colStart(): string;
    get rowStart(): string;
    get itemWrapper(): HTMLElement;
    get order(): number;
    private draggedItem;
    private draggedItemWrapper;
    private reordering;
    private resizing;
    private offset;
    private targetSize;
    private cellSize;
    private targetOrder;
    private currentColStart;
    private currentRowStart;
    private startingPoint;
    private currentResizingColSpan;
    private currentResizingRowSpan;
    private direction;
    private lastDragCursorOffset;
    private localizationSubscription;
    private rtl;
    constructor(zone: NgZone, renderer: Renderer2, cdr: ChangeDetectorRef, localization: LocalizationService);
    ngOnDestroy(): void;
    handlePress(originalEvent: any): void;
    handleDrag(originalEvent: any): void;
    handleRelease(originalEvent: any): void;
    private reorderItems;
    private resizeItem;
    private cleanUp;
    private targetSpan;
    private getTargetCol;
    private getTargetRow;
    private calculateHintHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<TileLayoutDraggingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TileLayoutDraggingService>;
}
