/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgZone, Renderer2 } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { BehaviorSubject } from 'rxjs';
import { DraggingServiceConfig } from './models/dragging-config.interface';
import { TileLayoutItemComponent } from './tilelayout-item.component';
import { TileLayoutComponent } from './tilelayout.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TileLayoutKeyboardNavigationService {
    private zone;
    private renderer;
    private localization;
    navigable: BehaviorSubject<boolean>;
    owner: TileLayoutComponent;
    mousedown: boolean;
    private localizationSubscription;
    private rtl;
    private lastFocused;
    constructor(zone: NgZone, renderer: Renderer2, localization: LocalizationService);
    ngOnDestroy(): void;
    onKeyDown(event: any, elem: HTMLElement, focusableItems: Array<HTMLElement>, settings: DraggingServiceConfig): void;
    onFocusOut(event: any, elem: HTMLElement, focusableItems: Array<HTMLElement>): void;
    onMousedown(event: any, elem: HTMLElement, focusableItems: Array<HTMLElement>, tile: TileLayoutItemComponent): void;
    changeTabIndex(tabIndex: string, elem: HTMLElement, focusableItems: Array<HTMLElement>): void;
    getAllFocusableChildren(parent: any): Array<any>;
    returnFocus(): void;
    private resizeItem;
    private reorderItem;
    private keepFocusWithinComponent;
    private getFirstAndLastFocusable;
    private targetTile;
    static ɵfac: i0.ɵɵFactoryDeclaration<TileLayoutKeyboardNavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TileLayoutKeyboardNavigationService>;
}
