/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The flow modes controls how auto-placed items are arranged in the TileLayout.
 * For further reference, check the [grid-auto-flow CSS article](https://developer.mozilla.org/en-US/docs/Web/CSS/grid-auto-flow).
 *
 * The available values are:
 * * `column` (Default)&mdash;Sets the grid-auto-flow CSS property of the TileLayout to column.
 * * `column-dense`&mdash;Sets the grid-auto-flow CSS property of the TileLayout to column dense.
 * *`row`&mdash;Sets the grid-auto-flow CSS property of the TileLayout to row.
 * *`row-dense`&mdash;Sets the grid-auto-flow CSS property of the TileLayout to row dense.
 * *`none`&mdash;Does not apply the grid-auto-flow CSS property. In this case the default behavior of the CSS Grid Layout will be used.
 */
export type TileLayoutFlowMode = 'none' | 'row' | 'column' | 'row-dense' | 'column-dense';
