/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Contains the header content of the `TileLayoutItem` component.
 * You can drag this area to reorder items when reordering is enabled.
 *
 * @example
 * ```html
 * <kendo-tilelayout-item>
 *   <kendo-tilelayout-item-header>
 *     <h3>Custom Header</h3>
 *   </kendo-tilelayout-item-header>
 *   <p>Item content</p>
 * </kendo-tilelayout-item>
 * ```
 */
export declare class TileLayoutItemHeaderComponent {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TileLayoutItemHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TileLayoutItemHeaderComponent, "kendo-tilelayout-item-header", never, {}, {}, never, ["*"], true, never>;
}
