/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./timeline/timeline.component";
import * as i2 from "./timeline/localization/custom-messages.component";
import * as i3 from "./timeline/templates/timeline-card-actions.directive";
import * as i4 from "./timeline/templates/timeline-card-body.directive";
import * as i5 from "./timeline/templates/timeline-card-header.directive";
/**
 * Defines the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) for the Timeline component.
 *
 * Use this module to add the Timeline component to your NgModule-based Angular application.
 *
 * @example
 * ```typescript
 * import { TimelineModule } from '@progress/kendo-angular-layout';
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   imports: [TimelineModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class TimelineModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TimelineModule, never, [typeof i1.TimelineComponent, typeof i2.TimelineCustomMessagesComponent, typeof i3.TimelineCardActionsTemplateDirective, typeof i4.TimelineCardBodyTemplateDirective, typeof i5.TimelineCardHeaderTemplateDirective], [typeof i1.TimelineComponent, typeof i2.TimelineCustomMessagesComponent, typeof i3.TimelineCardActionsTemplateDirective, typeof i4.TimelineCardBodyTemplateDirective, typeof i5.TimelineCardHeaderTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TimelineModule>;
}
