/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the model fields that will be used for creating `TimelineEvent` instances.
 */
export interface TimelineModelFields {
    /**
     * The name of the `title` model field.
     *
     * @default "title"
     */
    title: string;
    /**
     * The name of the `subtitle` model field.
     *
     * @default "subtitle"
     */
    subtitle?: string;
    /**
     * The name of the `description` model field.
     *
     * @default "description"
     */
    description?: string;
    /**
     * The name of the `date` model field.
     *
     * @default "date"
     */
    date: string;
    /**
     * The name of the `expanded` model field.
     *
     * @default "expanded"
     */
    expanded?: string;
    /**
     * The name of the `images` model field.
     *
     * @default "images"
     */
    images?: string;
    /**
     * The name of the `actions` model field.
     *
     * @default "actions"
     */
    actions?: string;
}
