/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, QueryList, Renderer2 } from '@angular/core';
import { TimelineEvent } from './models/timeline-event';
import { TimelineCardComponent } from './timeline-card.component';
import { TimelineCardBodyTemplateDirective } from './templates/timeline-card-body.directive';
import { TimelineCardHeaderTemplateDirective } from './templates/timeline-card-header.directive';
import { TimelineCardActionsTemplateDirective } from './templates/timeline-card-actions.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TimelineVerticalComponent {
    private renderer;
    events: Array<TimelineEvent>;
    alterMode: boolean;
    collapsibleEvents: boolean;
    navigable: boolean;
    showDateLabels: boolean;
    animationDuration: number;
    eventWidth: number;
    dateFormat: string;
    headerTemplate: TimelineCardHeaderTemplateDirective;
    bodyTemplate: TimelineCardBodyTemplateDirective;
    actionsTemplate: TimelineCardActionsTemplateDirective;
    cards: QueryList<TimelineCardComponent>;
    dateElementRefs: QueryList<ElementRef>;
    innerDateElementRefs: QueryList<ElementRef>;
    private subscriptions;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    expand(index: number): void;
    collapse(index: number): void;
    private ariaDescribedByAllEvents;
    private removeAriaDescribedBy;
    private assignAriaDescribedBy;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineVerticalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelineVerticalComponent, "kendo-timeline-vertical", ["kendoTimelineVertical"], { "events": { "alias": "events"; "required": false; }; "alterMode": { "alias": "alterMode"; "required": false; }; "collapsibleEvents": { "alias": "collapsibleEvents"; "required": false; }; "navigable": { "alias": "navigable"; "required": false; }; "showDateLabels": { "alias": "showDateLabels"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "eventWidth": { "alias": "eventWidth"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "headerTemplate": { "alias": "headerTemplate"; "required": false; }; "bodyTemplate": { "alias": "bodyTemplate"; "required": false; }; "actionsTemplate": { "alias": "actionsTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
